// 创建导航节点
function createNavNode() {
	var oDiv = document.createElement("div");
	oDiv.setAttribute("id", "nav");
	
	var oUl = document.createElement("ul");
	
	var oLi1 = document.createElement("li");				
	oLi1.setAttribute("class", "index");
	var languageInfo = getLanguageInfo();
	oLi1.innerHTML = languageInfo.homeText;
									
	oUl.appendChild(oLi1);
	
	var oLi2 = document.createElement("li");				
	oLi2.setAttribute("class", "ranking");
	oLi2.innerHTML = languageInfo.sortText;
	
	oUl.appendChild(oLi2);

	var oLi3 = document.createElement("li");				
	oLi3.setAttribute("class", "mycenter");
	oLi3.innerHTML = languageInfo.myText+"<b id=\"nv_redp_1\"></b>";
	
	oUl.appendChild(oLi3);

	
	oDiv.appendChild(oUl);
	
	return oDiv;					
}

// 创建页面顶部的动态展示广告图片的节点
// 一个大广告图动态展现之后显示一张一半
// 大小的广告图
function createBannerBNode(slaveImg, masterImg, packageId, resourceType, mgeUrl) {
	var oDivBannerB = document.createElement("div");
	oDivBannerB.setAttribute("class", "banner_b");
	
	var oDivB1 = document.createElement("div");
	oDivB1.setAttribute("class", "banner_b banner_b1");
	oDivB1.setAttribute("id", "js_ads_banner_top");
	
	var oA1 = document.createElement("a");
	if (resourceType == 6) {
		oA1.setAttribute("href", "#");
		oA1.setAttribute("mgeUrl", mgeUrl);
		oA1.setAttribute("onclick", "mgeFunc(event)");		
	} else {
		oA1.setAttribute("onclick", "requestGameDetailPage(" +　"4, " + "'" + packageId + "','shouye_jiaodiantu_xiangqing')");
	}
	
	var oImg1 = document.createElement("img");
	oImg1.setAttribute("src", slaveImg);
	oImg1.setAttribute("height", "180");

	oA1.appendChild(oImg1);
	oDivB1.appendChild(oA1);
	oDivBannerB.appendChild(oDivB1);
	
	return oDivBannerB;
}

function getJsonLength(jsonData){
	var jsonLength = 0;
	for(var item in jsonData){
		jsonLength++;
	}
	return jsonLength;
}

function createListInfoArr(gameLists, gameListType) {
	var gameInfoArr = [];
	if (gameLists) {			
		var length = gameLists.length;
				//$("#tip_fname").html("length:"+length+"ppppp"+gameLists[0].master_img+"|"+gameLists[0].slave_img+"|"+gameLists[0].portrait_img+"|"+gameLists[0].landscape_img+"|"+gameLists[0].zh_index+"|"+gameLists[0].category_1+"|"+gameLists[0].category_2+"|"+gameLists[0].category_3+"|"+gameLists[0].package_id+"|"+gameLists[0].resource_type+"|"+gameLists[0].local_icon_url+"|"+gameLists[0].rating+"|"+gameLists[0].player_num+"|"+gameLists[0].description+"|"+gameLists[0].zh_name+"|");

		for (var i=0; i<length; i++) {
			var gameInfoOrigin = gameLists[i];
			// 首页相关的属性
			var oMasterImg = decodeURIComponent(gameInfoOrigin.master_img);
			var oSlaveImg = decodeURIComponent(gameInfoOrigin.slave_img);						
			var oPortraitImg = decodeURIComponent(gameInfoOrigin.portrait_img);
			var oLandscapeImg = decodeURIComponent(gameInfoOrigin.landscape_img);
			var oDetailUrl = decodeURIComponent(gameInfoOrigin[language + "_index"]);
			var oCategory_1 = gameInfoOrigin.category_1;
			var oCategory_2 = gameInfoOrigin.category_2;
			var oCategory_3 = gameInfoOrigin.category_3;
			
			// 玩过的游戏相关的属性
			var oPackageId = gameInfoOrigin.package_id;
			var oResourceType = gameInfoOrigin.resource_type;
			// gameListType为0表示我的游戏；为1表示推荐游戏；为2表示热门游戏。
			var packageUrl = "http://wge.maxthon.cn/?package_id=" + oPackageId + "&" + "resource_type=" + oResourceType + "&" + "gamelist_type=" + gameListType;
			var oMgeUrl = "mge://" + window.BASE64.encoder(packageUrl);
			var click_mge_url = "http://wge.maxthon.cn/?package_id=" + oPackageId + "&" + "resource_type=" + oResourceType + "&" + "gamelist_type=" + gameListType+"&from=";
			var oIconUrl = decodeURIComponent(gameInfoOrigin.local_icon_url);
			var oGameScore = parseInt(gameInfoOrigin.rating);
			var language = getLanguage();
			var oPlayerNum = gameInfoOrigin.player_num;
			var oDescription = gameInfoOrigin.description;			
			
			var gameInfo = {
					masterImg : oMasterImg,
					slaveImg : oSlaveImg,					
					portraitImg : oPortraitImg,
					landscapeImg : oLandscapeImg,
					resourceType : oResourceType,
					detailUrl : oDetailUrl,
					category_1 : oCategory_1,
					category_2 : oCategory_2,
					category_3 : oCategory_3,
								
					packageId : oPackageId,				
					mgeUrl : oMgeUrl,
					ckmgeUrl : click_mge_url,
					iconUrl : oIconUrl,
					gameName : gameInfoOrigin[language + "_name"],
					gameScore : oGameScore,
					playerNum : oPlayerNum,
					description : oDescription
			};						
			
			gameInfoArr.push(gameInfo);
			
		}
	}
	
	return gameInfoArr;	
}

// Private API
// 获取游戏信息列表
function getGameListInfoArr(gameListType) {
	//	$("#tip_fname").html($("#tip_fname").html()+"ff:"+gameListType);
	
	var oGameOrigin = null;
	if (gameListType == 0) {
		oGameOrigin = mgeJS.getMyGameListObj();
	} else if (gameListType == 1) {
		oGameOrigin = mgeJS.getRecGameListObj();
	} else if (gameListType == 2) {
		oGameOrigin = mgeJS.getHotGameListObj();
	} else if (gameListType == 4) {//Banner
		oGameOrigin = mgeJS.getBannerListObj();
	} else if (gameListType == 5) {
		oGameOrigin = mgeJS.getFavoriteGameListObj();
	} else if (gameListType == 6) {
		oGameOrigin = mgeJS.getBannerCategoryListObj();
	} else if (gameListType == 11) {
		oGameOrigin = mgeJS.getCasualGameListObj();
	} else if (gameListType == 12) {
		oGameOrigin = mgeJS.getHardcoreGameListObj();
	} else if (gameListType == 13) {
		oGameOrigin = mgeJS.getNewGameListObj();
	} else if (gameListType == 14) {
		oGameOrigin = mgeJS.getConsoleGameListObj();
	} else if (gameListType == 15) {
		oGameOrigin = mgeJS.getOnlineGameListObj();
	} else if (gameListType == 21) {
		oGameOrigin = mgeJS.getNewRankingGameListObj();
	} else if (gameListType == 22) {
		oGameOrigin = mgeJS.getOnlineRankingGameListObj();
	} else if (gameListType == 23) {
		oGameOrigin = mgeJS.getConsoleRankingGameListObj();
	}
		$("#tip_fname").html($("#tip_fname").html()+" ty:"+typeof(oGameOrigin));
	
//		$("#tip_fname").html($("#tip_fname").html()+"al:"+oGameOrigin.gamelists.length);
		//$("#tip_fname").html(oGameOrigin.gamelists.length);
		if(typeof(oGameOrigin)=="boolean"){
			return false;
		}else{
			var oGameLists = oGameOrigin.gamelists;
			var gameInfoArr = createListInfoArr(oGameLists, gameListType);
			$("#tip_fname").html($("#tip_fname").html()+"pk:"+gameInfoArr.length);
			//$("#tip_fname").html("xxxxxx"+gameInfoArr.length);
			return gameInfoArr;
		}
}

function createBannerZzNode(imgUrl, packageId, resourceType, mgeUrl) {
	var oDivZz = document.createElement("div");
	oDivZz.setAttribute("class", "banner_zz");

	var oA1 = document.createElement("a");
	if (resourceType == 6) {
		oA1.setAttribute("href", "#");
		oA1.setAttribute("mgeUrl", mgeUrl);
		oA1.setAttribute("onclick", "mgeFunc(event)");		
	} else {
		oA1.setAttribute("onclick", "requestGameDetailPage(" +　"4, " + "'" + packageId + "','shouye_jiaodiantu_xiangqing')");
	}
	var oImg1 = document.createElement("img");
	oImg1.setAttribute("src", imgUrl);
	oImg1.setAttribute("width", "259");
	oImg1.setAttribute("height", "198");
	
	oA1.appendChild(oImg1);
	oDivZz.appendChild(oA1);
	
	return oDivZz;
}

function createBAnnerZrNode(imgUrl, packageId, resourceType, mgeUrl) {
	var oDivZr = document.createElement("div");
	oDivZr.setAttribute("class", "banner_zr");

	var oA2 = document.createElement("a");
	if (resourceType == 6) {
		oA2.setAttribute("href", "#");
		oA2.setAttribute("mgeUrl", mgeUrl);
		oA2.setAttribute("onclick", "mgeFunc(event)");		
	} else {
		oA2.setAttribute("onclick", "requestGameDetailPage(" +　"4, " + "'" + packageId + "','shouye_jiaodiantu_xiangqing')");
	}
	var oImg2 = document.createElement("img");
	oImg2.setAttribute("src", imgUrl);
	oImg2.setAttribute("width", "210");
	oImg2.setAttribute("height", "136");
	// 设置一个默认图片
	oImg2.onerror = function() {
		this.src = "./images/banner_yb.jpg";
	};
	
	oA2.appendChild(oImg2);
	oDivZr.appendChild(oA2);
	
	return oDivZr;	
}

function createBannerZrdNode(imgUrl, packageId, resourceType, mgeUrl) {
	var oDivZrd = document.createElement("div");
	oDivZrd.setAttribute("class", "banner_zrd");

	var oA3 = document.createElement("a");
	if (resourceType == 6) {
		oA3.setAttribute("href", "#");
		oA3.setAttribute("mgeUrl", mgeUrl);
		oA3.setAttribute("onclick", "mgeFunc(event)");		
	} else {
		oA3.setAttribute("onclick", "requestGameDetailPage(" +　"4, " + "'" + packageId + "','shouye_jiaodiantu_xiangqing')");
	}
	var oImg3 = document.createElement("img");
	oImg3.setAttribute("src", imgUrl);
	oImg3.setAttribute("width", "210");
	oImg3.setAttribute("height", "136");
	// 设置一个默认图片
	oImg3.onerror = function() {
		this.src = "./images/banner_yb.jpg";
	};
	
	oA3.appendChild(oImg3);
	oDivZrd.appendChild(oA3);
	
	return oDivZrd;	
}

function createGameTilesNode(gameName, packageId, detailUrl, imgUrl, keyword1, keyword2, keyword3, isBannerDpd) {
	var oLi = document.createElement("li");
	if (isBannerDpd) {
		oLi.setAttribute("class", "banner_dpd");
	}
	
	var oA1 = document.createElement("a");
	//oA1.setAttribute("href", detailUrl);
	oA1.setAttribute("onclick", "requestGameDetailPage(" +　"1, " + "'" + packageId + "','shouye_guanggao_xiangqing')");

	var oImg = document.createElement("img");
	oImg.setAttribute("src", imgUrl);
	oImg.setAttribute("height", "320");
	// 设置一个默认图片
	oImg.onerror = function() {
		this.src = "./images/banner_c1.jpg";
	};
	
	oA1.appendChild(oImg);
	oLi.appendChild(oA1);
	
	var oBanerZ = document.createElement("div");
	oBanerZ.setAttribute("class", "baner_z");

	var oA2 = document.createElement("a");
	oA2.setAttribute("href", "#");
	oA2.innerHTML = gameName;
	
	oBanerZ.appendChild(oA2);
	oLi.appendChild(oBanerZ);
	
	var oBanerZ2 = document.createElement("div");
	oBanerZ2.setAttribute("class", "baner_z2");
	
	var oSpan = document.createElement("span");
	
	var oA3 = document.createElement("a");
	oA3.setAttribute("href", "#");
	oA3.innerHTML = keyword1;
	oSpan.appendChild(oA3);
	
	var oTextNode1 = document.createTextNode("/");
	oSpan.appendChild(oTextNode1);
	
	var oA4 = document.createElement("a");
	oA4.setAttribute("href", "#");
	oA4.innerHTML = keyword2;
	oSpan.appendChild(oA4);
	
	var oTextNode2 = document.createTextNode("/");
	oSpan.appendChild(oTextNode2);
	
	var oA5 = document.createElement("a");
	oA5.setAttribute("href", "#");
	oA5.innerHTML = keyword3;
	oSpan.appendChild(oA5);
	
	oBanerZ2.appendChild(oSpan);
	oLi.appendChild(oBanerZ2);
															
	return oLi;						
}

function createClearNode() {
	var oDiv = document.createElement("div");
	oDiv.setAttribute("class", "clear");
	
	return oDiv;	
}

function createBannerCNode() {		
	var oDivBannerC = document.createElement("div");
	oDivBannerC.setAttribute("class", "banner_c");
	
	var oUl = document.createElement("ul");
	oUl.setAttribute("id", "dv_idx_lst");
	// 获取推荐游戏列表
	var oGameListInfoArr = getGameListInfoArr(1);
	var lengthxxt = oGameListInfoArr.length;
	var length = 21;
	if(length>lengthxxt){
		length = lengthxxt;
	}
	for (var i=0; i<length; i++) {
		var oGameListInfo = oGameListInfoArr[i];
		var oPackageId = oGameListInfo.packageId;
		var oMgeUrl = oGameListInfo.mgeUrl;
		var oIconUrl = oGameListInfo.iconUrl;
		var oGameName = oGameListInfo.gameName;
		var gameScore = oGameListInfo.gameScore;
		var playerNum = oGameListInfo.playerNum;
		var isNewGame = oGameListInfo.isNewGame;
		var oPortraitImg = oGameListInfo.portraitImg;
		var oLandscapeImg = oGameListInfo.landscapeImg;
		var oDetailUrl = oGameListInfo.detailUrl;
		var oCategory_1 = oGameListInfo.category_1;
		var oCategory_2 = oGameListInfo.category_2;
		var oCategory_3 = oGameListInfo.category_3;		

		var isBannerDpd = (i+1)%3 == 0 ? true : false;
		var oLi = createGameTilesNode(oGameName, oPackageId, oDetailUrl, oPortraitImg, oCategory_1, oCategory_2, oCategory_3, isBannerDpd);
		oUl.appendChild(oLi);
	}
	
	oDivBannerC.appendChild(oUl);
	
	var oClearNode = createClearNode();
	oDivBannerC.appendChild(oClearNode);
		
	return oDivBannerC;
}

//上面的这个方法，做分页处理
var vpage=1;//分页标记
var vpageall=1;//分页标记
function page_getlist(){
	// 获取推荐游戏列表
	var oGameListInfoArr = getGameListInfoArr(1);
	var lengthc = oGameListInfoArr.length;
	vpageall = Math.ceil(lengthc / 21);
	var lengthst = 21*vpage;
	var lengend = 21*(vpage+1);
	if(lengend>lengthc){
		lengend=lengthc;
	}
	if(vpageall<(vpage+1)){
		return false;
	}else{
	vpage=vpage+1;
var laneircc=document.createElement("ul");
	for (var i=lengthst; i<lengend; i++) {
		var oGameListInfo = oGameListInfoArr[i];
		var oPackageId = oGameListInfo.packageId;
		var oMgeUrl = oGameListInfo.mgeUrl;
		var oIconUrl = oGameListInfo.iconUrl;
		var oGameName = oGameListInfo.gameName;
		var gameScore = oGameListInfo.gameScore;
		var playerNum = oGameListInfo.playerNum;
		var isNewGame = oGameListInfo.isNewGame;
		var oPortraitImg = oGameListInfo.portraitImg;
		var oLandscapeImg = oGameListInfo.landscapeImg;
		var oDetailUrl = oGameListInfo.detailUrl;
		var oCategory_1 = oGameListInfo.category_1;
		var oCategory_2 = oGameListInfo.category_2;
		var oCategory_3 = oGameListInfo.category_3;		

		var isBannerDpd = (i+1)%3 == 0 ? true : false;
		var oLi = createGameTilesNode(oGameName, oPackageId, oDetailUrl, oPortraitImg, oCategory_1, oCategory_2, oCategory_3, isBannerDpd);
		laneircc.appendChild(oLi);//oUl.appendChild(oLi);
		console.log(222);
	}
	return laneircc;
	}

}
// Private API
// 获取顶部大图游戏信息列表
function getAdBannerListInfoArr() {
	var oGameOrigin = mgeJS.getAdBannerListObj();
	var oGameLists = oGameOrigin.gamelists;
	var gameInfoArr = createListInfoArr(oGameLists, 4);
	
	return gameInfoArr;
}

// 获取游戏信息分类列表滑动广告
function getSortAdBannerListInfoArr() {
	var oGameOrigin = mgeJS.getAdBannerListObj();
	var oGameLists = oGameOrigin.gamelists;
	var gameInfoArr = createListInfoArr(oGameLists, 6);
	
	return gameInfoArr;
}

// 顶部大广告图和中间一大两小图片
function createBannerBAndZFragment() {
	var oFragment = document.createDocumentFragment();
	
	var oDivBannerZ = document.createElement("div");
	oDivBannerZ.setAttribute("class", "banner_z");
	
	var arr = getAdBannerListInfoArr();
	var length = arr.length;
	for (var i=0; i<length; i++) {
		var info = arr[i];
		var oSlaveImg = info.slaveImg;
		var oMasterImg = info.masterImg;
		var oLandscapeImg = info.landscapeImg;
		var oPackageId = info.packageId;
		var oResourceType = info.resourceType;
		var oMgeUrl = info.mgeUrl;
		
		switch(i) {
			case 0:
				// 播放Logo动画
				if (getQuery("notlogo") == null) {
					var oDivB2 = document.createElement("div");
					oDivB2.setAttribute("class", "banner_b banner_b2");
					oDivB2.setAttribute("id", "js_ads_banner_top_slide");
					oDivB2.setAttribute("style", "position:absolute; top:0px; left:0px;");
					
					var oA2 = document.createElement("a");
					if (oResourceType == 6) {
						oA2.setAttribute("href", "#");
						oA2.setAttribute("mgeUrl", oMgeUrl);
						oA2.setAttribute("onclick", "mgeFunc(event)");		
					} else {					
						oA2.setAttribute("onclick", "requestGameDetailPage(" +　"4, " + "'" + info.packageId + "','shouye_jiaodiantu_xiangqing')");
					}
					var oImg2 = document.createElement("img");
					oImg2.setAttribute("src", info.masterImg);
					oImg2.setAttribute("height", "400");

					oA2.appendChild(oImg2);
					oDivB2.appendChild(oA2);
					oFragment.appendChild(oDivB2);
				}
				var oDivBannerB = createBannerBNode(oSlaveImg, oMasterImg, oPackageId, oResourceType, oMgeUrl);
				oFragment.appendChild(oDivBannerB);
				break;
			case 1:
				var oDivZz = createBannerZzNode(oLandscapeImg, oPackageId, oResourceType, oMgeUrl);
				oDivBannerZ.appendChild(oDivZz);			
				break;
			case 2:
				var oDivZr = createBAnnerZrNode(oLandscapeImg, oPackageId, oResourceType, oMgeUrl);
				oDivBannerZ.appendChild(oDivZr);				
				break;
			case 3:
				var oDivZrd = createBannerZrdNode(oLandscapeImg, oPackageId, oResourceType, oMgeUrl);
				oDivZr.appendChild(oDivZrd);				
				break;
			default:
				break;	
		}		
	}
	
	oFragment.appendChild(oDivBannerZ);
	
	return oFragment;
}

function createPrBgPaddingNode() {
	var oDiv = document.createElement("div");
	oDiv.setAttribute("class", "bg_padding");
	
	// 顶部大广告图和中间一大两小图片
	var oFragment = createBannerBAndZFragment();				
	oDiv.appendChild(oFragment);
		
	// 其他图片列表	
	var oBannerCNode = createBannerCNode();
	oDiv.appendChild(oBannerCNode);

	var oClearNode = createClearNode();
	oDiv.appendChild(oClearNode);

	var loadDiv = document.createElement("div");
	loadDiv.setAttribute("class", "loading_dv");
	loadDiv.innerHTML ="<img src=\"images/loading.gif\"  width=\"20\" />  努力加载中......";
	oDiv.appendChild(loadDiv);
					
	return oDiv;
}

function createPrSectionNode() {
	var oSection = document.createElement("section");
	oSection.setAttribute("id", "p-r");
	
	var oBgPaddingNode = createPrBgPaddingNode();
	oSection.appendChild(oBgPaddingNode);
	
	
	return oSection;
}

// 创建标题节点
function createHeaderNode() {
	var oH2 = document.createElement("h2");
	var oSpan = document.createElement("span");
	var languageInfo = getLanguageInfo();	
	oSpan.innerHTML = languageInfo.iPlayedText;
	oH2.appendChild(oSpan);
	
	return oH2;
}	

// 创建图片节点					
function createGameImgNode(gameIcon, packageId, width, height) {
	var oDiv = document.createElement("div");
	oDiv.setAttribute("class", "game_img");
	
	var oA = document.createElement("a");
	oA.setAttribute("href", "#");
	oA.setAttribute("onclick", "requestGameDetailPage(" +　"0, " + "'" + packageId + "')");
	
	oDiv.appendChild(oA);
	
	var oImg = document.createElement("img");
	oImg.setAttribute("src", gameIcon);
	if (!width || width <= 0) {
		width = 112;	
	}
	
	if (!height || height <= 0) {
		height = 112;	
	}
	oImg.setAttribute("width", width);
	oImg.setAttribute("height", height);
	
	oA.appendChild(oImg);
	
	return oDiv;
}

// 创建描述游戏简的节点
function createGameContentNode(gameName, packageId, gameScore, playerNum, description) {
	var oDiv = document.createElement("div");
	oDiv.setAttribute("class", "game_content");
	
	var oH1 = document.createElement("h1");									
	var oA = document.createElement("a");
	oA.setAttribute("href", "#");
	oA.setAttribute("onclick", "requestGameDetailPage(" +　"0, " + "'" + packageId + "')");
	oA.innerHTML = gameName;									
	oH1.appendChild(oA);
	
	oDiv.appendChild(oH1);
	
	var oDivStarW = document.createElement("div");
	oDivStarW.setAttribute("class", "star_w");
	var oP = document.createElement("p");
	var score = gameScore*20;
	oP.setAttribute("style", "width:" + score + "%");
	oDivStarW.appendChild(oP);
	
	oDiv.appendChild(oDivStarW);
	
	var oSpan = document.createElement("span");
	var languageInfo = getLanguageInfo();
	var playerNumInfo = languageInfo.playerNumInfoText(playerNum);
	oSpan.innerHTML = playerNumInfo;
	
	oDiv.appendChild(oSpan);
	
	var oDivGameCwz = document.createElement("div");
	oDivGameCwz.setAttribute("class", "game_cwz");
	oDivGameCwz.innerHTML = description;
	
	oDiv.appendChild(oDivGameCwz);
	
	return oDiv;
}

// 创建游戏按钮节点						
function createGameButtonNode(mgeUrl) {
	var oDiv = document.createElement("div");
	oDiv.setAttribute("class", "game_button");
	oDiv.setAttribute("mgeUrl", mgeUrl);
	oDiv.setAttribute("onclick", "mgeFunc(event)");
	
	
	var oA = document.createElement("a");
	oA.setAttribute("href", "#");
	var languageInfo = getLanguageInfo();
	oA.innerHTML = languageInfo.playText;
	oDiv.appendChild(oA);
	
	return oDiv;
}

// 创建游戏列表中的一个成员节点
function createGameListNode(gameIcon, gameName, packageId, gameScore, playerNum, description, mgeUrl) {									
	var oLi = document.createElement("li");
	
	var oGameImgNode = createGameImgNode(gameIcon, packageId);
	var oGameContentNode = createGameContentNode(gameName, packageId, gameScore, playerNum, description);	
	var oGameButtonNode = createGameButtonNode(mgeUrl);
	
	oLi.appendChild(oGameImgNode);
	oLi.appendChild(oGameContentNode)
	oLi.appendChild(oGameButtonNode);
	
	return oLi;
}

// 创建游戏列表节点
function createGameListContainerNode() {
	var oGameListInfoArr = getGameListInfoArr(0);
	if (!oGameListInfoArr) {		
		var oUl = document.createElement("ul");
		var length = oGameListInfoArr.length;
		for (var i=0; i<length; i++) {
			var oGameListInfo = oGameListInfoArr[i];
			
			var oGameIcon = oGameListInfo.iconUrl;
			var oGameName = oGameListInfo.gameName;
			var oPackageId = oGameListInfo.packageId;
			var oGameScore = oGameListInfo.gameScore;
			var oPlayerNum = oGameListInfo.playerNum;
			var oDescription = oGameListInfo.description;
			var oMgeUrl = oGameListInfo.mgeUrl;
			
			var oLi = createGameListNode(oGameIcon, oGameName, oPackageId, oGameScore, oPlayerNum, oDescription, oMgeUrl);
			oUl.appendChild(oLi);
		}
	}	
	
	return oUl;
}

// 创建游戏列表的父节点
function createGameStarNode() {
	var oDiv = document.createElement("div");
	oDiv.setAttribute("class", "game_star");
	
	var oHeaderNode = createHeaderNode();
	oDiv.appendChild(oHeaderNode);	

	var oContainerNode = createGameListContainerNode();
	oDiv.appendChild(oContainerNode);
	
	var oClearNode = createClearNode();
	oDiv.appendChild(oClearNode);
	
	return oDiv;
}


function createPhBgPaddingNode() {
	var oDiv = document.createElement("div");
	oDiv.setAttribute("class", "bg_padding");
	var oGameStarNode = createGameStarNode();
	oDiv.appendChild(oGameStarNode);
	
	return oDiv;
}

function createPhSectionNode() {
	var oSection = document.createElement("section");
	oSection.setAttribute("id", "p-h");
	
	var oBgPaddingNode = createPhBgPaddingNode();
	oSection.appendChild(oBgPaddingNode);
	
	return oSection;
}

//定义全局变量
var gl_sort_all="";

//输出分类排行

function output_sort(){
var sort_11_con ='';
var sort_12_con ='';
var sort_13_con ='';
var sort_14_con ='';
var sort_15_con ='';
var sort_6_con ='';
var gl_sort_all='';


try{
	

	// 获取各分类游戏列表
	//分类：轻松看得见 11-15
	var oGameListInfoArr = getGameListInfoArr(11);//
	if(typeof(oGameListInfoArr)!="boolean"){

	var length = oGameListInfoArr.length;
		//	$("#tip_fname").html(length+"ssss222222222222222ssssss");
	if(length>8){
		length=8;
	}
	for (var i=0; i<length; i++) {
		var oGameListInfo = oGameListInfoArr[i];
		var oPackageId = oGameListInfo.packageId;
		var oMgeUrl = oGameListInfo.mgeUrl;
		var oIconUrl = oGameListInfo.iconUrl;
		var oGameName = oGameListInfo.gameName;
		var gameScore = oGameListInfo.gameScore;
		var playerNum = oGameListInfo.playerNum;
		var oDescription = oGameListInfo.description;
		var ockmgeUrl = oGameListInfo.ckmgeUrl;
		var ckoMgeUrl = "mge://" + window.BASE64.encoder(ockmgeUrl+"fenlei_fenleiye_qingsongxiuxian");
  
sort_11_con += "<li><a mgeurl=\""+ckoMgeUrl+"\" onclick=\"mgeFunc(event)\"><img src=\""+oIconUrl+"\"></a><p><a >"+oGameName+"</a></p></li>"; 

}
	}


	//分类：单机 14
	var oGameListInfoArr14 = getGameListInfoArr(14);
	if(typeof(oGameListInfoArr14)!="boolean"){
	var length14 = oGameListInfoArr14.length;
	if(length14>8){
		length14=8;
	}
	for (var i=0; i<length14; i++) {
		var oGameListInfo = oGameListInfoArr14[i];
		var oPackageId = oGameListInfo.packageId;
		var oMgeUrl = oGameListInfo.mgeUrl;
		var oIconUrl = oGameListInfo.iconUrl;
		var oGameName = oGameListInfo.gameName;
		var gameScore = oGameListInfo.gameScore;
		var playerNum = oGameListInfo.playerNum;
		var oDescription = oGameListInfo.description;
 		var ockmgeUrl = oGameListInfo.ckmgeUrl;
		var ckoMgeUrl = "mge://" + window.BASE64.encoder(ockmgeUrl+"fenlei_fenleiye_danji");
 
sort_14_con += "<li><a mgeurl=\""+ckoMgeUrl+"\" onclick=\"mgeFunc(event)\"><img src=\""+oIconUrl+"\"></a><p><a >"+oGameName+"</a></p></li>"; 
}
	}


	//分类 ：男人的世界 12
	var oGameListInfoArr12 = getGameListInfoArr(12);
	if(typeof(oGameListInfoArr12)!="boolean"){
	var length12 = oGameListInfoArr12.length;
	if(length12>8){
		length12=8;
	}
	for (var i=0; i<length12; i++) {
		var oGameListInfo = oGameListInfoArr12[i];
		var oPackageId = oGameListInfo.packageId;
		var oMgeUrl = oGameListInfo.mgeUrl;
		var oIconUrl = oGameListInfo.iconUrl;
		var oGameName = oGameListInfo.gameName;
		var gameScore = oGameListInfo.gameScore;
		var playerNum = oGameListInfo.playerNum;
		var oDescription = oGameListInfo.description;
  		var ockmgeUrl = oGameListInfo.ckmgeUrl;
		var ckoMgeUrl = "mge://" + window.BASE64.encoder(ockmgeUrl+"fenlei_fenleiye_nanren");
 
sort_12_con += "<li><a mgeurl=\""+ckoMgeUrl+"\" onclick=\"mgeFunc(event)\"><img src=\""+oIconUrl+"\"></a><p><a >"+oGameName+"</a></p></li>"; 
}
	}

	//分类：新游推荐 13
	var oGameListInfoArr13 = getGameListInfoArr(13);
	if(typeof(oGameListInfoArr13)!="boolean"){
	var length13 = oGameListInfoArr13.length;
	if(length13>8){
		length13=8;
	}
	for (var i=0; i<length13; i++) {
		var oGameListInfo = oGameListInfoArr13[i];
		var oPackageId = oGameListInfo.packageId;
		var oMgeUrl = oGameListInfo.mgeUrl;
		var oIconUrl = oGameListInfo.iconUrl;
		var oGameName = oGameListInfo.gameName;
		var gameScore = oGameListInfo.gameScore;
		var playerNum = oGameListInfo.playerNum;
		var oDescription = oGameListInfo.description;
   		var ockmgeUrl = oGameListInfo.ckmgeUrl;
		var ckoMgeUrl = "mge://" + window.BASE64.encoder(ockmgeUrl+"fenlei_fenleiye_xinyou");
 
sort_13_con += "<li><a mgeurl=\""+ckoMgeUrl+"\" onclick=\"mgeFunc(event)\"><img src=\""+oIconUrl+"\"></a><p><a >"+oGameName+"</a></p></li>"; 
}
	}
	
		//分类：联网 15
	var oGameListInfoArr15 = getGameListInfoArr(15);
	if(typeof(oGameListInfoArr15)!="boolean"){
	var length15 = oGameListInfoArr15.length;
	if(length15>8){
		length15=8;
	}
	for (var i=0; i<length15; i++) {
		var oGameListInfo = oGameListInfoArr15[i];
		var oPackageId = oGameListInfo.packageId;
		var oMgeUrl = oGameListInfo.mgeUrl;
		var oIconUrl = oGameListInfo.iconUrl;
		var oGameName = oGameListInfo.gameName;
		var gameScore = oGameListInfo.gameScore;
		var playerNum = oGameListInfo.playerNum;
		var oDescription = oGameListInfo.description;
    	var ockmgeUrl = oGameListInfo.ckmgeUrl;
		var ckoMgeUrl = "mge://" + window.BASE64.encoder(ockmgeUrl+"fenlei_fenleiye_lianwang");
 
sort_15_con += "<li ><a mgeurl=\""+ckoMgeUrl+"\" onclick=\"mgeFunc(event)\"><img src=\""+oIconUrl+"\" ></a><p><a >"+oGameName+"</a></p></li>"; 
}
	}


	// 获取焦点图分类广告
	//分类：轻松看得见 11-15
	var oGameListInfoArr = getGameListInfoArr(6);//
	if(typeof(oGameListInfoArr)!="boolean"){

	var length = oGameListInfoArr.length;
		//	$("#tip_fname").html(length+"ssss222222222222222ssssss");
	if(length>4){
		length=4;
	}
	for (var i=0; i<length; i++) {
		var oGameListInfo = oGameListInfoArr[i];
		var oPackageId = oGameListInfo.packageId;
		var oMgeUrl = oGameListInfo.mgeUrl;
		var oIconUrl = oGameListInfo.iconUrl;
		var oslaveImg = oGameListInfo.slaveImg;
		var oGameName = oGameListInfo.gameName;
		var gameScore = oGameListInfo.gameScore;
		var playerNum = oGameListInfo.playerNum;
		var oDescription = oGameListInfo.description;
		var ockmgeUrl = oGameListInfo.ckmgeUrl;
		var ckoMgeUrl = "mge://" + window.BASE64.encoder(ockmgeUrl+"fenlei_fenleiye_jiaodiantu");
  
sort_6_con += "<li><span class=\"img_"+(i+1)+"\"><a mgeurl=\""+ckoMgeUrl+"\" onclick=\"mgeFunc(event)\"><img src=\""+oslaveImg+"\" ></a></span></li>"; 

}
	}



}catch(e){
		}

gl_sort_all = "<div class=\"kePublic\"><div class=\"main_visual\">	<div class=\"flicking_con\">		<a href=\"#\">1</a>		<a href=\"#\">2</a>		<a href=\"#\">3</a>		<a href=\"#\">4</a>	</div>	<div class=\"main_image\">		<ul>			"+sort_6_con+"	</ul>		<a href=\"javascript:;\" id=\"btn_prev\"></a>		<a href=\"javascript:;\" id=\"btn_next\"></a>	</div></div></div><!--效果html结束--><div class=\"cl_dd orange\"><h2><b></b>轻松，休闲看得见<span><a  id=\"ck_sort_1\">显示全部</a></span></h2><div class=\"pf_flhd_touch\"><ul class=\"cl_qskdj\"  id=\"sk_st1\">"+sort_11_con+"</ul></div></div><div class=\"cl_dd blue\"><h2><b></b>属于，男人的世界<span><a  id=\"ck_sort_2\">显示全部</a></span></h2><div class=\"pf_flhd_touch\" ><ul class=\"cl_qskdj\" id=\"sk_st2\">"+sort_12_con+"</ul></div></div><div class=\"cl_dd zise\"><h2><b></b>新游推荐<span><a  id=\"ck_sort_3\">显示全部</a></span></h2><div class=\"pf_flhd_touch\"  ><ul class=\"cl_qskdj\" id=\"sk_st3\">"+sort_13_con+"</ul></div></div><div class=\"cl_dd bigred\"><h2><b></b>单机，正对口味<span><a  id=\"ck_sort_4\">显示全部</a></span></h2><div class=\"pf_flhd_touch\" ><ul class=\"cl_qskdj\"  id=\"sk_st4\">"+sort_14_con+"</ul></div></div><div class=\"cl_dd green\"><h2><b></b>这货需要联网<span><a  id=\"ck_sort_5\">显示全部</a></span></h2><div class=\"pf_flhd_touch\" ><ul class=\"cl_qskdj\"  id=\"sk_st5\">"+sort_15_con+"</ul></div></div>";

return gl_sort_all;
}

function createPfSectionNode() {
	var oSection = document.createElement("section");
	oSection.setAttribute("id", "p-f");

var up_sort_temp=output_sort();
	
	oSection.innerHTML = "<div class=\"classify\"><div class=\"class_t\"><a href=\"#\" class=\"class_f\" id=\"ck_sort\">分类</a><a href=\"#\" id=\"ck_rank\">排行</a></div><div id=\"dv_sort_rank\">"+up_sort_temp+"</div></div>";
	
/*	var oBgPaddingNode = createPhBgPaddingNode();
	oSection.appendChild(oBgPaddingNode);
*/	
	return oSection;
}
//输出我玩过的游戏
function output_my_wgd(){

var lt_wg_con="";
	// 获取我玩过游戏列表
//	lt_wg_con += "v1";
	var oGameListInfoArr1x = getGameListInfoArr(0);
	if(typeof(oGameListInfoArr1x)!="boolean"){
//	lt_wg_con += "v2";
	var length1x = oGameListInfoArr1x.length;
//	lt_wg_con += length1x;


	for (var i=0; i<length1x; i++) {
		var oGameListInfo = oGameListInfoArr1x[i];
		var oPackageId = oGameListInfo.packageId;
		var oMgeUrl = oGameListInfo.mgeUrl;
		var oIconUrl = oGameListInfo.iconUrl;
		var oGameName = oGameListInfo.gameName;
		var gameScore = oGameListInfo.gameScore;
		var playerNum = oGameListInfo.playerNum;
		var oDescription = oGameListInfo.description;

    	var ockmgeUrl = oGameListInfo.ckmgeUrl;
	//	var ckoMgeUrl = "mge://" + window.BASE64.encoder(ockmgeUrl+"wo_wanguo_ICON");
		var btoMgeUrl = "mge://" + window.BASE64.encoder(ockmgeUrl+"wo_wanguo_kaishiyouxi");
  
lt_wg_con += "<li id=\"wgd_"+oPackageId+"\">          <span class=\"game_fxk\" id=\"ck_op_wg\"><input name=\"wgk_list\" id=\"wgdpu_"+oPackageId+"\" alt=\""+oPackageId+"\" type=\"checkbox\" value=\"\"><label for=\"wgdpu_"+oPackageId+"\"><span class=\"icoo\"></span></label></span>            <div class=\"game_img\" ><a onclick=\"requestGameDetailPage(0,'"+oPackageId+"','wo_wanguo_ICON')\"><img src=\""+oIconUrl+"\"></a></div>            <div class=\"game_content\" onclick=\"requestGameDetailPage(0,'"+oPackageId+"','wo_wanguo_ICON')\">              <h1><a >"+oGameName+"</a></h1>              <div class=\"star_w\">                <p style=\"width:"+gameScore+"0%\"></p>              </div>              <span>人气："+playerNum+"</span>              <div class=\"game_cwz\">"+oDescription+"</div>            </div>            <div class=\"game_button\" mgeurl=\""+btoMgeUrl+"\" onclick=\"mgeFunc(event)\"><a >开始游戏</a></div>          </li>"; 
}  	
	}
return lt_wg_con;
}
//输出我的收藏
function output_my_fav(){
var lt_sc_con="";

//获取当前帐号的收藏及游戏信息
	try{
	// 获取收藏游戏列表
		//lt_sc_con += "c1";

	var oGameListInfoArr = getGameListInfoArr(5);
//	lt_sc_con += oGameListInfoArr;
	if(typeof(oGameListInfoArr)!="boolean"){
	//	lt_sc_con += "c2";
	var length = oGameListInfoArr.length;
	for (var i=0; i<length; i++) {
		var oGameListInfo = oGameListInfoArr[i];
		var oPackageId = oGameListInfo.packageId;
		var oMgeUrl = oGameListInfo.mgeUrl;
		var oIconUrl = oGameListInfo.iconUrl;
		var oGameName = oGameListInfo.gameName;
		var gameScore = oGameListInfo.gameScore;
		var playerNum = oGameListInfo.playerNum;
		var oDescription = oGameListInfo.description;

    	var ockmgeUrl = oGameListInfo.ckmgeUrl;
	//	var ckoMgeUrl = "mge://" + window.BASE64.encoder(ockmgeUrl+"wo_shoucang_ICON");
		var btoMgeUrl = "mge://" + window.BASE64.encoder(ockmgeUrl+"wo_shoucang_kaishiyouxi");
			

lt_sc_con+="<li id=\"fav_"+oPackageId+"\">                    <span class=\"game_fxk\" id=\"ck_op_sc\"><input name=\"chk_list\"  id=\"favpu_"+oPackageId+"\" alt=\""+oPackageId+"\" type=\"checkbox\" value=\"\"><label for=\"favpu_"+oPackageId+"\"><span class=\"icoo\"></span></label></span>            <div class=\"game_img\"  ><a onclick=\"requestGameDetailPage(5,'"+oPackageId+"','wo_shoucang_ICON')\"><img src=\""+oIconUrl+"\"></a></div>            <div class=\"game_content\" onclick=\"requestGameDetailPage(5,'"+oPackageId+"','wo_shoucang_ICON')\">              <h1><a >"+oGameName+"</a></h1>              <div class=\"star_w\">                <p style=\"width:"+gameScore+"0%\"></p>              </div>              <span>人气："+playerNum+"</span>              <div class=\"game_cwz\">"+oDescription+"</div>            </div>            <div class=\"game_button\" mgeurl=\""+btoMgeUrl+"\" onclick=\"mgeFunc(event)\"><a >开始游戏</a></div>          </li>"; 
 
}  
	}

		}catch(e){
		}
	
	return lt_sc_con;	

}

function createPwSectionNode() {
	var oSection = document.createElement("section");
	oSection.setAttribute("id", "p-w");
	
var lt_wg_con = output_my_wgd();
var lt_sc_con = output_my_fav();
	
	oSection.innerHTML = "<div class=\"my_padding\"><!--登录开始--><ul class=\"my_logged\" id=\"dv_myaccount_ok\" style=\"display:none;\" ><li><div class=\"login_z\"><img src=\"images/logged_img.png\" id=\"my_acc_pic\"><h2 id=\"my_acc_name\">游戏玩家</h2><p id=\"my_acc_uid\">ID：1354624527</p></div><!--<a><img src=\"images/xerwm_img.png\"></a>--></li><div class=\"clear\"></div></ul><!--登录结束--><!--未登录开始--><ul class=\"my_wlogged\" id=\"dv_nologin\" ><li><span></span><p id=\"ck_login\"><a>点此登录&nbsp;</a><p><b id=\"nv_redp_2\"></b></li></ul><!--未登录结束--><!--我的收藏开始--><div class=\"game_star collect\"><div class=\"game_qxz\" id=\"dv_scd_op\"><div class=\"game_qx\" ><input name=\"chk_all\" id=\"game_qx\" type=\"checkbox\" value=\"\"><label for=\"game_qx\" ><span class=\"icoo\" id=\"ddszz\" ></span></label><span id=\"tip_fac_sel\">选择全部</span></div><div class=\"game_scqx\"><a id=\"ck_cq_del\">删除</a><a id=\"ck_cq_can\">取消</a></div></div>        <h2><span></span>我的收藏                <b id=\"ck_scd_pan\"><img src=\"images/bianji_img.png\"><a >编辑</a></b>                </h2>        <ul id=\"dv_fav_list\">                      "+lt_sc_con+"   </ul>        <div class=\"clear\"></div>      </div><!--我的收藏结束--><!--广告位开始 <div class=\"art_img\"><a href=\"#\"><img src=\"images/advert_img.jpg\"></a></div>--><!--广告位结束--><!--我玩过的开始--><div class=\"game_star gameod\"><div class=\"game_qxz\"  id=\"dv_wgd_op\"><div class=\"game_qx\"><input name=\"checkbox\" id=\"game_wgd_qx\" type=\"checkbox\"  value=\"\"><label for=\"game_wgd_qx\"><span class=\"icoo\"></span></label><span id=\"tip_my_sel\">选择全部</span></div><div class=\"game_scqx\"><a  id=\"ck_wg_del\">删除</a><a  id=\"ck_wg_can\">取消</a></div></div>        <h2><span></span>我玩过的        <b id=\"ck_wgd_pan\"><img src=\"images/bianji_img.png\"><a>编辑</a></b>        </h2>        <ul id=\"dv_wgd_list\">        "+lt_wg_con+"    </ul>        <div class=\"clear\"></div>      </div><!--我玩过的结束--></div>";
	
/*	var oBgPaddingNode = createPhBgPaddingNode();
	oSection.appendChild(oBgPaddingNode);
*/	
	return oSection;
}


function createBgJbNode() {
	var oDiv = document.createElement("div");
	oDiv.setAttribute("class", "bg_jb");
	oDiv.setAttribute("id", "content");
		
	var oSection = createPrSectionNode();
	oDiv.appendChild(oSection);
	

//分类排行
	var oSection3 = createPfSectionNode();
	oDiv.appendChild(oSection3);

//	var oSection2 = createPhSectionNode();
	var oSection2 = createPwSectionNode();
	oDiv.appendChild(oSection2);

	var oClearNode = createClearNode();
	oDiv.appendChild(oClearNode);
		
	return oDiv;
}

function getDefaultTab() {
	var defaultTab = "";
	var href = decodeURIComponent(window.location.href);
//	console.log(href);
	href = href.toLowerCase();
	var str = "defaulttab=";
	var index = href.indexOf(str);
	if (index > -1) {
		index += str.length;
		defaultTab = href.substring(index);
	}
	
	return defaultTab;
}
   	
function showDefaultTab() {
	var defaultTab = getDefaultTab();
		//分类明细表，才用浮层结构
		$("#dv_all_sort").hide();

	if (defaultTab == "index") {
		$("#p-r").show();
		$("#p-w").hide();
		$("#p-f").hide();

		$(".mycenter").css({
			"background-image": "url(images/mycenter_imgh.png)",
			"color": "#b0b0b0"
		});
		$(".index").css({
			"background-image": "url(images/index_imgl.png)",
			"color": "#016db3"
		});
		$(".ranking").css({
			"background-image": "url(images/ranking_imgh.png)",
			"color": "#b0b0b0"
		});
        document.documentElement.scrollTop = document.body.scrollTop =0;		
	}else if(defaultTab == "mycenter"){
		$("#p-w").show();
		$("#p-r").hide();
		$("#p-f").hide();

		$(".mycenter").css({
			"background-image": "url(images/mycenter_imgl.png)",
			"color": "#016db3"
		});
		$(".index").css({
			"background-image": "url(images/index_imgh.png)",
			"color": "#b0b0b0"
		});
		$(".ranking").css({
			"background-image": "url(images/ranking_imgh.png)",
			"color": "#b0b0b0"
		});
		} else if(defaultTab == "ranking"){
		$("#p-r").hide();
		$("#p-w").hide();
		$("#p-f").show();

		$(".mycenter").css({
			"background-image": "url(images/mycenter_imgh.png)",
			"color": "#b0b0b0"
		});
		$(".ranking").css({
			"background-image": "url(images/ranking_imgl.png)",
			"color": "#016db3"
		});
		$(".index").css({
			"background-image": "url(images/index_imgh.png)",
			"color": "#b0b0b0"
		});
			} else {
/*		$("#p-r").show();
		$("#p-w").hide();

		$(".mycenter").css({"background-image":"url(images/mycenter_imgh.png)","color":"#b0b0b0"});
		$(".index").css({"background-image":"url(images/index_imgl.png)","color":"#016db3"});
        document.documentElement.scrollTop = document.body.scrollTop =0;		
*/	}
}
//监听url地址变化，同url#的变化来处理前进后退效果
window.onhashchange = function(){
//alert(location.href);
showDefaultTab();
}

function show() {
	var oBody = document.body;
	
	var oNavNode = createNavNode();	
	oBody.appendChild(oNavNode);
	
	var oBgJbNode = createBgJbNode();
	oBody.appendChild(oBgJbNode);
	
	showDefaultTab();


	
	//多选

	$("#game_qx").click(function(){
		$("#tip_fac_sel").html(($("#tip_fac_sel").html()=='取消全部')?"选择全部":"取消全部");
		
		$("input[name='chk_list']").each(function(){
			$(this).prop("checked",!!$("#game_qx").prop("checked"));
		
		});
});	

$("#game_wgd_qx").click(function(){
		$("#tip_my_sel").html(($("#tip_my_sel").html()=='取消全部')?"选择全部":"取消全部");
		$("input[name='wgk_list']").each(function(){
			$(this).prop("checked",!!$("#game_wgd_qx").prop("checked"));
		});
});


$("input[name='chk_list']").click(function(){
	//console.log($(this).attr("checked"));
				$(this).prop("checked",!!$(this).prop("checked"));

/*	if($(this).attr("checked")!="checked"){
		$(this).attr("checked","checked");
	}else{
		$(this).removeAttr("checked");
	}
*/	
   //  $("input[name='chk_list']").attr("checked",$("#game_qx").attr("checked"));
});	

//操作控制操作面板和，删除多选框显示
	$("#ck_scd_pan").click(function(){
		$("#dv_scd_op").show();
		$("span#ck_op_sc").show();
		$("#ck_scd_pan").hide();
	});	

	$("#ck_wgd_pan").click(function(){
		$("#dv_wgd_op").show();
		$("span#ck_op_wg").show();
		$("#ck_wgd_pan").hide();
		gl_bkj=1;
	});	
//取消显示
	$("#ck_cq_can").click(function(){
		$("#dv_scd_op").hide();
		$("span#ck_op_sc").hide();
		$("#ck_scd_pan").show();
	});	

	$("#ck_wg_can").click(function(){
		$("#dv_wgd_op").hide();
		$("span#ck_op_wg").hide();
		$("#ck_wgd_pan").show();
		gl_bkj=0;

	});	
//删除操作 test
	$("#ck_cq_del").click(function(){
				gl_bkj=0;

			//点击打开删除确认窗口
	
		var $browser=$(window);
		var winWidth;
		var winHeight;
		
		var scrollLeft;
		var scrollTop;
		
		var left=0,top=0;
		var $currentWin=$("#dv_confirm");//弹出窗口
		var clientWidth;
		var clientHeight;
	
		winWidth=$browser.width();
		winHeight=$browser.height();
			
		scrollLeft=$browser.scrollLeft();
		scrollTop=$browser.scrollTop();
			
		clientWidth=$currentWin.outerWidth();
		clientHeight=$currentWin.outerHeight();
		
		left=scrollLeft+(winWidth-clientWidth)/2;
		top=scrollTop+(winHeight-clientHeight)/2;   
		$currentWin.animate({"left":left+"px","top":top+"px"},30).show();	
		fm_top =top;
		fm_left=left;
			
		//处理背景遮罩
		$("#dv_mask").show();
		$("#dv_mask").height($(document).height());
		jinzhi=2;
		//$("#fm_login").show();


	});	
	$("#ck_wg_del").click(function(){
		gl_bkj=1;
			//点击打开删除确认窗口
	
		var $browser=$(window);
		var winWidth;
		var winHeight;
		
		var scrollLeft;
		var scrollTop;
		
		var left=0,top=0;
		var $currentWin=$("#dv_confirm");//弹出窗口
		var clientWidth;
		var clientHeight;
	
		winWidth=$browser.width();
		winHeight=$browser.height();
			
		scrollLeft=$browser.scrollLeft();
		scrollTop=$browser.scrollTop();
			
		clientWidth=$currentWin.outerWidth();
		clientHeight=$currentWin.outerHeight();
		
		left=scrollLeft+(winWidth-clientWidth)/2;
		top=scrollTop+(winHeight-clientHeight)/2;   
		$currentWin.animate({"left":left+"px","top":top+"px"},30).show();	
		fm_top =top;
		fm_left=left;
			
		//处理背景遮罩
		$("#dv_mask").show();
		$("#dv_mask").height($(document).height());
		jinzhi=2;
		//$("#fm_login").show();


	});	


}

show();

function loadScript() {
	
	// 最后加载lrtk.js文件
	var oScript = document.createElement("script");
	oScript.setAttribute("src", "js/lrtk.js");
	document.body.appendChild(oScript);		
}
window.onload = loadScript;


// add effect for the start game button
$('.game_button').on('touchstart', function() {
	$(this).addClass('active');
}).on('touchend', function() {
	$(this).removeClass('active');
});




